'use strict';
define([
  'angular',
  'biz/yamoussoukro/modules/form/tabcontainer/controllers/TabContainerCtrl',
  'biz/yamoussoukro/modules/form/tabcontainer/directives/TabContainerDirective',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, TabContainerCtrl, TabContainerDirective) {
  // generation du module
  var ff = angular.module('gc_tabcontainer', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
    'model',
  ]);
  // ajout service

  // ajout controller
  ff.controller('TabContainerCtrl', TabContainerCtrl);
  // ajout directive
  ff.directive('tabcontainerdirective', TabContainerDirective);
  // ajout factory

  //route provider

  return ff;
});
